org.apache.ignite.internal.processors.platform

## Class PlatformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.platform.PlatformException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PlatformExtendedException, PlatformNativeException, PlatformNoCallbackException

    public class PlatformException
    extends IgniteCheckedException

Interop checked exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformException()` Create empty exception.
`PlatformException(String msg)` Creates new exception with given error message.
`PlatformException(String msg, @Nullable Throwable cause)` Creates new exception with given error message and optional nested exception.
`PlatformException(Throwable cause)` Creates new grid exception with given throwable as a cause and source of error message.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformException

    public PlatformException()

Create empty exception.

#### PlatformException

    public PlatformException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### PlatformException

    public PlatformException(Throwable cause)

Creates new grid exception with given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### PlatformException

    public PlatformException(String msg,
                             @Nullable
                             @Nullable Throwable cause)

Creates new exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020